<?php

namespace Modules\GuidedTour\Providers;

use Illuminate\Support\ServiceProvider;

class GuidedTourServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        $this->mergeConfigFrom(__DIR__ . '/../Config/config.php', 'guidedtour');
        $this->app->register(RouteServiceProvider::class);
    }

    public function boot(): void
    {
        $this->loadViewsFrom(__DIR__ . '/../Resources/views', 'guidedtour');
        $this->loadMigrationsFrom(__DIR__ . '/../Database/Migrations');
    }
}
